explain_ftime_or_die(3)

NAME
explain_ftime_or_die - return date and time and report errors
    "return date and time and report errors"

SYNOPSIS
#include <libexplain/ftime.h>

void explain_ftime_or_die(struct timeb *tp);
int explain_ftime_on_error(struct timeb *tp);

DESCRIPTION
The explain_ftime_or_die function is used to call the ftime(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_ftime(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_ftime_on_error function is used to call the ftime(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_ftime(3) function, but still returns to the caller.

tp  The tp, exactly as to be passed to the ftime(3) system call.

RETURN VALUE
The explain_ftime_or_die function only returns on success, see ftime(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_ftime_on_error function always returns the value return by the wrapped ftime(3) system call.

EXAMPLE
The explain_ftime_or_die function is intended to be used in a fashion similar to the following example:
    explain_ftime_or_die(tp);

SEE ALSO

ftime(3)
    return date and time

explain_ftime(3)
    explain ftime(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2009 Peter Miller